%global pkg_name        Exception-Class-DBI
%global pkg_version     0.96
%global rpm_pkg_version 0.96
%global rpm_pkg_release 1.n0i.11

Summary:       DBI Exception objects
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DW/DWHEELER/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(Module::Build)

%if %{!?_without_test:1}0
BuildRequires: perl(DBI) >= 1.28
BuildRequires: perl(Exception::Class) >= 1.02
%endif


%description
This module offers a set of DBI-specific exception classes. They inherit from
Exception::Class, the base class for all exception objects created by the
Exception::Class module from the CPAN. Exception::Class::DBI itself offers a
single class method, "handler()", that returns a code reference appropriate
for passing to the DBI "HandleError" attribute.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue Oct 30 2007 Marius Feraru <altblue@n0i.net> - 0.96-1.n0i.11
- version 0.96

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.95-1.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.95

* Fri Jun 30 2006 Marius Feraru <altblue@n0i.net> - 0.94-1.n0i.9
- version 0.94

* Sun Jun 11 2006 Marius Feraru <altblue@n0i.net> - 0.93-1.n0i.8
- version 0.93

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.92-4.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius Feraru <altblue@n0i.net> 0:0.92-3.n0i.6
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.92-3.n0i.5
- automatic rebuild (perl 5.8.6)

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:0.92-2.n0i.4
- version 0.92

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:0.91-1.n0i.3
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401
- rebuild (perl 5.8.4)

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.91-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 0.91-0.n0i
- version 0.91
